{% extends 'base.html.twig' %}

{% block title %}TagThing Test{% endblock %}

{% block body %}


<div class="container mt-5">
    <div class="row">
        <div class="col-12">
            <h1 class="text-center mb-5">TagThing Test</h1>
            <div class="card">
                <h5 class="card-header d-flex justify-content-between align-items-center">
                    Products
                    <a href="{{ path('new_product') }}" type="button" class="btn btn-sm btn-primary">Add new product</a>
                </h5>
                <div class="card-body">
                    <table class="table">
                    <thead class="thead-dark">
                        <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">Base Price</th>
                        <th scope="col">Final Price Sum</th>
                        <th scope="col">Edit</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% if products is not empty %}
                            {% for product in products %}
                                <tr>
                                    <th scope="row">{{ product.id }}</th>
                                    <td>{{ product.name }}</td>
                                    <td>{{ product.basePrice | number_format }} HUF</td>
                                    <td>{{ product.finalPricesSum | number_format }} HUF</td>
                                    <td>
                                        <a role="button" title="Edit" data-toggle="tooltip" href="{{ path('edit_product', {'id' : product.id}) }}">
                                            <i class="material-icons text-warning mr-3">&#xE254;</i>
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                        {% else %}
                            <tr>
                                <th colspan="5">No products</th>
                            </tr>
                        {% endif %}
                    </tbody>
                </table>
                </div>
            </div>

            <div class="card mt-5">
                <h5 class="card-header d-flex justify-content-between align-items-center">
                    Reservations 
                    <a href="{{ path('new_reservation') }}" type="button" class="btn btn-sm btn-primary">Add new reservation</a>
                </h5>
                <div class="card-body">
                    <table class="table">
                    <thead class="thead-dark">
                        <tr>
                        <th scope="col">#</th>
                        <th scope="col">Product</th>
                        <th scope="col">Base Price</th>
                        <th scope="col">Final Price</th>
                        <th scope="col">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% if reservations is not empty %}
                            {% for reservation in reservations %}
                                <tr>
                                    <th scope="row">{{ reservation.id }}</th>
                                    <td>{{ reservation.product.name }}</td>
                                    <td>{{ reservation.basePrice | number_format }} HUF</td>
                                    <td>{{ reservation.finalPrice | number_format }} HUF</td>
                                    <td>
                                        <a role="button" title="Edit" data-toggle="tooltip" href="{{ path('edit_reservation', {'id' : reservation.id}) }}">
                                            <i class="material-icons text-warning mr-3">&#xE254;</i>
                                        </a>
                                        <a role="button" title="Delete" data-toggle="tooltip" href="{{ path('delete_reservation', {'id' : reservation.id}) }}">
                                            <i class="material-icons text-danger">&#xE872;</i>
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                        {% else %}
                            <tr>
                                <th colspan="5">No reservations</th>
                            </tr>
                        {% endif %}
                    </tbody>
                </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
